com.fasterxml.jackson.databind.deser.impl

## Class ReadableObjectId

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ReadableObjectId

    public class ReadableObjectId
    extends Object

Simple value container for containing information about single Object Id during deserialization.

### Field Summary

Fields
`Object` `id`
`Object` `item`

### Constructor Summary

Constructors
Constructor and Description
`ReadableObjectId(Object id)`

### Method Summary

Methods
`void` `bindItem(Object ob)` Method called to assign actual POJO to which ObjectId refers to: will also handle referring properties, if any, by assigning POJO.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    public final Object id

#### item

    public Object item

### Constructor Detail

#### ReadableObjectId

    public ReadableObjectId(Object id)

### Method Detail

#### bindItem

    public void bindItem(Object ob)
                  throws IOException

Method called to assign actual POJO to which ObjectId refers to: will also handle referring properties, if any, by assigning POJO.

Throws:
  `IOException`